apiVersion: apps/v1
kind: Deployment
metadata:
  name: pms-deployment
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pms
  template:
    metadata:
      labels:
        app: pms
    spec:
      containers:
        - name: pms
          image: REGISTRY/NAMESPACE/IMAGE:TAG
          resources:
            limits:
              memory: 1024Mi
              cpu: 100m
          ports:
            - containerPort: 8099
          env:
            - name: SPRING_PROFILES_ACTIVE
              valueFrom:
                configMapKeyRef:
                  name: pms-map
                  key: SPRING_PROFILES_ACTIVE